/***********************************************************************/
/***********************************************************************/
/**                                                              
/** Copyright (C) BEKA Associates Ltd (2005). All Rights Reserved    
/**                                                                   
/** Device        : BA488CF                              
/** Communication : PROFIBUS PA                                       
/** Description   : PROFIBUS PA EDDL for BA488CF  		 
/**  		    AO Transducer Block Varaibles and Commands            
/**
/** Histrory      : M.P.Wilson 04/03/2005 first created
/**	            M.P.Wilson 29/04/2005 first menu added 		
/**
/***********************************************************************/
/***********************************************************************/

/**********************************************************************/
/*****	VARIABLES AO Transducer Block
/**********************************************************************/

VARIABLE aotb_BLK_RESERVE
{
	LABEL		[blk_reserved];
	HELP		[blk_reserved_help];
	CLASS		CONTAINED;
  	TYPE		ENUMERATED(1)
	{
		DEFAULT_VALUE	250;
		{	250,	[not_used]		}
	}
	HANDLING	READ;
}

VARIABLE aotb_BLK_OBJECT
{
	LABEL		[blk_block_object];
	HELP		[blk_block_object_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		{	3,	[blk_block_object_TRANSDUCER]	}
	}
	HANDLING	READ;
}

VARIABLE aotb_BLK_PARENT_CLASS
{
	LABEL		[blk_parent_class];
	HELP		[TB_blk_parent_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{ 0xf1, "Transducer" }
	}
	HANDLING	READ;
}

VARIABLE aotb_BLK_CLASS
{
	LABEL		[blk_class];
	HELP		[TB_blk_class_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED(1)
	{
		{	250,	[not_used] 					},
		{	251,	[none]						},
		{	252,	[unknown]					},
		{	253,	[special]					}
	}
	HANDLING	READ;
}

VARIABLE aotb_BLK_DD_REFRENCE
{
	LABEL		[blk_dd_reference];
	HELP		[blk_dd_reference_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (4);
	HANDLING	READ;
}

VARIABLE aotb_BLK_DD_REV
{
	LABEL		[blk_dd_rev];
	HELP		[blk_dd_rev_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER(2);
	HANDLING	READ;
}

VARIABLE aotb_BLK_PROFILE
{
	LABEL		[blk_profile];
	HELP		[blk_profile_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0x4002;
		{ 0x4001,	[blk_profile_PA_COMPACT_A]	},
		{ 0x4002,	[blk_profile_PA_COMPACT_B]	},
		{ 0x4081,	[blk_profile_PA_SIMPLE_A]	},
		{ 0x4082,	[blk_profile_PA_SIMPLE_B]	}
	}
	HANDLING	READ;
}

VARIABLE aotb_BLK_PROFILE_REV
{
	LABEL		[blk_profile_rev];
	HELP		[blk_profile_rev_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0300;
		{	0x0300,	"3.0"	}
	}
	HANDLING	READ;
}

VARIABLE aotb_BLK_EXECUTION_TIME
{
	LABEL		[blk_execution_time];
	HELP		[blk_execution_time_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER(1)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ;
}

VARIABLE aotb_BLK_NUM_PARAMETERS
{
	LABEL		[blk_num_parameters];
	HELP		[blk_num_parameters_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ;
}

VARIABLE aotb_BLK_INDEX_VIEW_1
{
	LABEL		[blk_index_view_1];
	HELP		[blk_index_view_1_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ;
}

VARIABLE aotb_BLK_NUM_VIEW_LISTS
{
	LABEL		[blk_num_view_lists];
	HELP		[blk_num_view_lists_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ;
}

VARIABLE aotb_STATIC_REVISION
{
	LABEL		[st_rev];
	HELP		[st_rev_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	HANDLING	READ;
}

VARIABLE aotb_TAG_DESCRIPTION
{
	LABEL		[tag_desc];		
	HELP		[tag_desc_help];
	CLASS		CONTAINED;
	TYPE		ASCII (32)
	{
		DEFAULT_VALUE "";
	}
	HANDLING	READ & WRITE;
}

VARIABLE aotb_STRATEGY
{
	LABEL		[strategy];		
	HELP		[strategy_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ & WRITE;
}

VARIABLE aotb_ALERT_KEY
{
	LABEL		[alert_key];		
	HELP		[alert_key_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER (1);
	HANDLING	READ & WRITE;
}

VARIABLE aotb_TARGET_MODE
{
	LABEL	  	[target_mode];		
	HELP		[target_mode_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
	   DEFAULT_VALUE	0x08;
		{	0x08,	[mode_AUTO]				}
		{	0x80,	[mode_OUT_OF_SERVICE]	}

	}
	HANDLING	READ & WRITE;
}

VARIABLE aotb_ACTUAL_MODE
{
	LABEL		[actual_mode];		
	HELP		[actual_mode_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0x08 ;
//		{	0x02,	[mode_RCAS]				},
		{	0x08,	[mode_AUTO]				}
//		{	0x10,	[mode_MAN]				},
//		{	0x20,	[mode_LO]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
	HANDLING	READ;
}

VARIABLE aotb_PERMITTED_MODE
{
	LABEL		[permitted_mode];		
	HELP		[permitted_mode_help];
	CLASS		CONTAINED;
	TYPE		BIT_ENUMERATED (1)
	{
//		DEFAULT_VALUE	0x88;
		DEFAULT_VALUE	0x08;
//		{	0x02,	[mode_RCAS]				},
		{	0x08,	[mode_AUTO]				}
//		{	0x10,	[mode_MAN]				},
//		{	0x20,	[mode_LO]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
	HANDLING	READ;
}

VARIABLE aotb_NORMAL_MODE
{
	LABEL		[normal_mode];		
	HELP		[normal_mode_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE	0x08;
		{	0x02,	[mode_RCAS]				},
		{	0x08,	[mode_AUTO]				},
		{	0x10,	[mode_MAN]				},
		{	0x20,	[mode_LO]				},
		{	0x80,	[mode_OUT_OF_SERVICE]	}
	}
	HANDLING	READ;
}

VARIABLE aotb_CURRENT_STATE_ALARM_SUM
{
	LABEL		[current_state_alarm_sum];		
	HELP		[current_state_alarm_sum_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0000; 
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x8000,	[limit_state_ST_REV]	}
	}
	HANDLING	READ;
}

VARIABLE aotb_UNACKNOWLEDGED_STATE_ALARM_SUM
{
	LABEL		[unacknowledged_state_alarm_sum];		
	HELP		[unacknowledged_state_alarm_sum_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0000; 
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x8000,	[limit_state_ST_REV]	}
	}
	HANDLING	READ;
}

VARIABLE aotb_UNREPORTED_STATE_ALARM_SUM
{
	LABEL		[unreported_state_alarm_sum];		
	HELP		[unreported_state_alarm_sum_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0000; 
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x8000,	[limit_state_ST_REV]	}
	}
	HANDLING	READ;
}

VARIABLE aotb_DISABLED_STATE_ALARM_SUM
{
	LABEL		[disabled_state_alarm_sum];		
	HELP		[disabled_state_alarm_sum_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	0x0000; 
		{	0x0000,	[limit_state_NO_ALARM]	},
		{	0x8000,	[limit_state_ST_REV]	}
	}
	HANDLING	READ;
}

VARIABLE aotb_in1_final_value
{
	LABEL 	 "IN_1 Final Value";
	HELP 	 "Reads the IN_1 Final Value";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 FLOAT;
	HANDLING READ;
}		

VARIABLE aotb_in2_final_value
{
	LABEL 	 "IN_2 Final Value";
	HELP 	 "Reads the IN_2 Final Value";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 FLOAT;
	HANDLING READ;
}		

VARIABLE aotb_in3_final_value
{
	LABEL 	 "IN_3 Final Value";
	HELP 	 "Reads the IN_3 Final Value";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 FLOAT;
	HANDLING READ;
}		

VARIABLE aotb_in4_final_value
{
	LABEL 	 "IN_4 Final Value";
	HELP 	 "Reads the IN_4 Final Value";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 FLOAT;
	HANDLING READ;
}		

VARIABLE aotb_in5_final_value
{
	LABEL 	 "IN_5 Final Value";
	HELP 	 "Reads the IN_5 Final Value";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 FLOAT;
	HANDLING READ;
}		

VARIABLE aotb_in6_final_value
{
	LABEL 	 "IN_6 Final Value";
	HELP 	 "Reads the IN_6 Final Value";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 FLOAT;
	HANDLING READ;
}		

VARIABLE aotb_in7_final_value
{
	LABEL 	 "IN_7 Final Value";
	HELP 	 "Reads the IN_7 Final Value";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 FLOAT;
	HANDLING READ;
}		

VARIABLE aotb_in8_final_value
{
	LABEL 	 "IN_8 Final Value";
	HELP 	 "Reads the IN_8 Final Value";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 FLOAT;
	HANDLING READ;
}		

VARIABLE aotb_in1_final_value_status
{
	LABEL 	 "IN_1 Final Value Status";
	HELP 	 "Reads the IN_1 Final Value Status";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ENUMERATED (1)
	{
		STATUS_GENERAL
	}
	HANDLING READ;
}		

VARIABLE aotb_in2_final_value_status
{
	LABEL 	 "IN_2 Final Value Status";
	HELP 	 "Reads the IN_2 Final Value Status";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ENUMERATED (1)
	{
		STATUS_GENERAL
	}
	HANDLING READ;
}		

VARIABLE aotb_in3_final_value_status
{
	LABEL 	 "IN_3 Final Value Status";
	HELP 	 "Reads the IN_3 Final Value Status";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ENUMERATED (1)
	{
		STATUS_GENERAL
	}
	HANDLING READ;
}		

VARIABLE aotb_in4_final_value_status
{
	LABEL 	 "IN_4 Final Value Status";
	HELP 	 "Reads the IN_4 Final Value Status";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ENUMERATED (1)
	{
		STATUS_GENERAL
	}
	HANDLING READ;
}		

VARIABLE aotb_in5_final_value_status
{
	LABEL 	 "IN_5 Final Value Status";
	HELP 	 "Reads the IN_5 Final Value Status";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ENUMERATED (1)
	{
		STATUS_GENERAL
	}
	HANDLING READ;
}		

VARIABLE aotb_in6_final_value_status
{
	LABEL 	 "IN_6 Final Value Status";
	HELP 	 "Reads the IN_6 Final Value Status";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ENUMERATED (1)
	{
		STATUS_GENERAL
	}
	HANDLING READ;
}		

VARIABLE aotb_in7_final_value_status
{
	LABEL 	 "IN_7 Final Value Status";
	HELP 	 "Reads the IN_7 Final Value Status";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ENUMERATED (1)
	{
		STATUS_GENERAL
	}
	HANDLING READ;
}		

VARIABLE aotb_in8_final_value_status
{
	LABEL 	 "IN_8 Final Value Status";
	HELP 	 "Reads the IN_8 Final Value Status";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ENUMERATED (1)
	{
		STATUS_GENERAL
	}
	HANDLING READ;
}		


VARIABLE aotb_in1_unit
{
	LABEL 	 "IN_1 Units";
	HELP 	 "Reads / Sets the IN_1 units";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (8);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in2_unit
{
	LABEL 	 "IN_2 Units";
	HELP 	 "Reads / Sets the IN_2 units";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (8);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in3_unit
{
	LABEL 	 "IN_3 Units";
	HELP 	 "Reads / Sets the IN_3 units";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (8);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in4_unit
{
	LABEL 	 "IN_4 Units";
	HELP 	 "Reads / Sets the IN_4 units";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (8);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in5_unit
{
	LABEL 	 "IN_5 Units";
	HELP 	 "Reads / Sets the IN_5 units";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (8);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in6_unit
{
	LABEL 	 "IN_6 Units";
	HELP 	 "Reads / Sets the IN_6 units";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (8);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in7_unit
{
	LABEL 	 "IN_7 Units";
	HELP 	 "Reads / Sets the IN_7 units";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (8);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in8_unit
{
	LABEL 	 "IN_8 Units";
	HELP 	 "Reads / Sets the IN_8 units";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (8);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in1_description
{
	LABEL 	 "IN_1 Description";
	HELP 	 "Reads / Sets the IN_1 Description";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (16);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in2_description
{
	LABEL 	 "IN_2 Description";
	HELP 	 "Reads / Sets the IN_2 Description";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (16);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in3_description
{
	LABEL 	 "IN_3 Description";
	HELP 	 "Reads / Sets the IN_3 Description";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (16);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in4_description
{
	LABEL 	 "IN_4 Description";
	HELP 	 "Reads / Sets the IN_4 Description";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (16);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in5_description
{
	LABEL 	 "IN_5 Description";
	HELP 	 "Reads / Sets the IN_5 Description";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (16);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in6_description
{
	LABEL 	 "IN_6 Description";
	HELP 	 "Reads / Sets the IN_6 Description";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (16);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in7_description
{
	LABEL 	 "IN_7 Description";
	HELP 	 "Reads / Sets the IN_7 Description";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (16);
	HANDLING READ & WRITE;
}		

VARIABLE aotb_in8_description
{
	LABEL 	 "IN_8 Description";
	HELP 	 "Reads / Sets the IN_8 Description";
	CLASS 	 CONTAINED & DYNAMIC;
	TYPE	 ASCII (16);
	HANDLING READ & WRITE;
}

/**********************************************************************/
/*****	AO Transducer block Commands
/**********************************************************************/

COMMAND read_aotb_BLOCK
{
	BLOCK aotb_BLOCK;
	INDEX 0;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_BLK_RESERVE,
			aotb_BLK_OBJECT,
			aotb_BLK_PARENT_CLASS,
			aotb_BLK_CLASS,
			aotb_BLK_DD_REFRENCE,
			aotb_BLK_DD_REV,
			aotb_BLK_PROFILE,
			aotb_BLK_PROFILE_REV,
			aotb_BLK_EXECUTION_TIME,
			aotb_BLK_NUM_PARAMETERS,
			aotb_BLK_INDEX_VIEW_1,
			aotb_BLK_NUM_VIEW_LISTS
		}
	}
}

COMMAND read_aotb_STATIC_REVISION
{
	BLOCK aotb_BLOCK;
	INDEX 1;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_STATIC_REVISION
		}
	}
}

COMMAND read_aotb_TAG_DESCRIPTION
{
	BLOCK aotb_BLOCK;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_TAG_DESCRIPTION
		}
	}
}

COMMAND write_aotb_TAG_DESCRIPTION
{
	BLOCK aotb_BLOCK;
	INDEX 2;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_TAG_DESCRIPTION
		}
		REPLY
		{
		}
	}
}

COMMAND read_aotb_STRATEGY
{
	BLOCK aotb_BLOCK;
	INDEX 3;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_STRATEGY
		}
	}
}

COMMAND write_aotb_STRATEGY
{
	BLOCK aotb_BLOCK;
	INDEX 3;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_STRATEGY
		}
		REPLY
		{
		}
	}
}

COMMAND read_aotb_ALERT_KEY
{
	BLOCK aotb_BLOCK;
	INDEX 4;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_ALERT_KEY
		}
	}
}

COMMAND write_aotb_ALERT_KEY
{
	BLOCK aotb_BLOCK;
	INDEX 4;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_ALERT_KEY
		}
		REPLY
		{
		}
	}
}

COMMAND read_aotb_TARGET_MODE
{
	BLOCK aotb_BLOCK;
	INDEX 5;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_TARGET_MODE
		}
	}
}

COMMAND write_aotb_TARGET_MODE
{
	BLOCK aotb_BLOCK;
	INDEX 5;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_TARGET_MODE
		}
		REPLY
		{
		}
	}
}

COMMAND read_aotb_MODE
{
	BLOCK aotb_BLOCK;
	INDEX 6;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_ACTUAL_MODE,
			aotb_PERMITTED_MODE,
			aotb_NORMAL_MODE
		}
	}
}

COMMAND read_aotb_ALARM_SUM
{
	BLOCK aotb_BLOCK;
	INDEX 7;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_CURRENT_STATE_ALARM_SUM,
			aotb_UNACKNOWLEDGED_STATE_ALARM_SUM,
			aotb_UNREPORTED_STATE_ALARM_SUM,
			aotb_DISABLED_STATE_ALARM_SUM
		}
	}
}

COMMAND read_aotb_final_value1
{
	BLOCK aotb_BLOCK;
	INDEX	8;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in1_final_value,
			aotb_in1_final_value_status
		}
		
	}
}

COMMAND read_aotb_final_value2
{
	BLOCK aotb_BLOCK;
	INDEX	9;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in2_final_value,
			aotb_in2_final_value_status
		}
		
	}
}

COMMAND read_aotb_final_value3
{
	BLOCK aotb_BLOCK;
	INDEX	10;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in3_final_value,
			aotb_in3_final_value_status
		}
		
	}
}

COMMAND read_aotb_final_value4
{
	BLOCK aotb_BLOCK;
	INDEX	11;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in4_final_value,
			aotb_in4_final_value_status
		}
		
	}
}

COMMAND read_aotb_final_value5
{
	BLOCK aotb_BLOCK;
	INDEX	12;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in5_final_value,
			aotb_in5_final_value_status
		}
		
	}
}

COMMAND read_aotb_final_value6
{
	BLOCK aotb_BLOCK;
	INDEX	13;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in6_final_value,
			aotb_in6_final_value_status
		}
		
	}
}

COMMAND read_aotb_final_value7
{
	BLOCK aotb_BLOCK;
	INDEX	14;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in7_final_value,
			aotb_in7_final_value_status
		}
		
	}
}

COMMAND read_aotb_final_value8
{
	BLOCK aotb_BLOCK;
	INDEX	15;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in8_final_value,
			aotb_in8_final_value_status
		}
		
	}
}

COMMAND read_aotb_in1
{
	BLOCK aotb_BLOCK;
	INDEX	16;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in1_description,
			aotb_in1_unit
		}
		
	}
}

COMMAND write_aotb_in1
{
	BLOCK aotb_BLOCK;
	INDEX	16;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_in1_description,
			aotb_in1_unit
		}
		REPLY
		{
		}
		
	}
}

COMMAND read_aotb_in2
{
	BLOCK aotb_BLOCK;
	INDEX	17;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in2_description,
			aotb_in2_unit
		}
		
	}
}

COMMAND write_aotb_in2
{
	BLOCK aotb_BLOCK;
	INDEX	17;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_in2_description,
			aotb_in2_unit
		}
		REPLY
		{
		}
		
	}
}

COMMAND read_aotb_in3
{
	BLOCK aotb_BLOCK;
	INDEX	18;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in3_description,
			aotb_in3_unit
		}
		
	}
}

COMMAND write_aotb_in3
{
	BLOCK aotb_BLOCK;
	INDEX	18;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_in3_description,
			aotb_in3_unit
		}
		REPLY
		{
		}
		
	}
}

COMMAND read_aotb_in4
{
	BLOCK aotb_BLOCK;
	INDEX	19;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in4_description,
			aotb_in4_unit
		}
		
	}
}

COMMAND write_aotb_in4
{
	BLOCK aotb_BLOCK;
	INDEX	19;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_in4_description,
			aotb_in4_unit
		}
		REPLY
		{
		}
		
	}
}

COMMAND read_aotb_in5
{
	BLOCK aotb_BLOCK;
	INDEX	20;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in5_description,
			aotb_in5_unit
		}
		
	}
}

COMMAND write_aotb_in5
{
	BLOCK aotb_BLOCK;
	INDEX	20;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_in5_description,
			aotb_in5_unit
		}
		REPLY
		{
		}
		
	}
}

COMMAND read_aotb_in6
{
	BLOCK aotb_BLOCK;
	INDEX	21;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in6_description,
			aotb_in6_unit
		}
		
	}
}

COMMAND write_aotb_in6
{
	BLOCK aotb_BLOCK;
	INDEX	21;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_in6_description,
			aotb_in6_unit
		}
		REPLY
		{
		}
		
	}
}

COMMAND read_aotb_in7
{
	BLOCK aotb_BLOCK;
	INDEX	22;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in7_description,
			aotb_in7_unit
		}
		
	}
}

COMMAND write_aotb_in7
{
	BLOCK aotb_BLOCK;
	INDEX	22;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_in7_description,
			aotb_in7_unit
		}
		REPLY
		{
		}
		
	}
}

COMMAND read_aotb_in8
{
	BLOCK aotb_BLOCK;
	INDEX	23;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			aotb_in8_description,
			aotb_in8_unit
		}
		
	}
}

COMMAND write_aotb_in8
{
	BLOCK aotb_BLOCK;
	INDEX	23;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			aotb_in8_description,
			aotb_in8_unit
		}
		REPLY
		{
		}
		
	}
}


/**********************************************************************/
/*****	Table: Information - Specialist and Maintenance 
/**********************************************************************/

MENU Table_S_aotb
{
	LABEL		[beka_aotb];
	ACCESS		OFFLINE;
	ITEMS
	{
        	Table_aotb_tbblock,
        	aotb_STATIC_REVISION,
        	aotb_TAG_DESCRIPTION,
        	aotb_STRATEGY,
        	aotb_ALERT_KEY,
        	aotb_TARGET_MODE,
        	Table_aotb_modeblock,
        	Table_aotb_alarmblock,
        	Table_aotb_final1,
        	Table_aotb_final2,
        	Table_aotb_final3,
        	Table_aotb_final4,
        	Table_aotb_final5,
        	Table_aotb_final6,
        	Table_aotb_final7,
        	Table_aotb_final8,
        	Table_S_aotb_ident1,
        	Table_S_aotb_ident2,
        	Table_S_aotb_ident3,
        	Table_S_aotb_ident4,
        	Table_S_aotb_ident5,
        	Table_S_aotb_ident6,
        	Table_S_aotb_ident7,
        	Table_S_aotb_ident8
        	
	}
}

MENU Table_M_aotb
{
	LABEL		[beka_aotb];
	ITEMS
	{
        	Table_aotb_tbblock,
        	aotb_STATIC_REVISION 	(READ_ONLY),
        	aotb_TAG_DESCRIPTION 	(READ_ONLY),
        	aotb_STRATEGY 		(READ_ONLY),
        	aotb_ALERT_KEY 		(READ_ONLY),
        	aotb_TARGET_MODE 	(READ_ONLY),
        	Table_aotb_modeblock,
        	Table_aotb_alarmblock
        	Table_aotb_final1,
        	Table_aotb_final2,
        	Table_aotb_final3,
        	Table_aotb_final4,
        	Table_aotb_final5,
        	Table_aotb_final6,
        	Table_aotb_final7,
        	Table_aotb_final8,
        	Table_M_aotb_ident1,
        	Table_M_aotb_ident2,
        	Table_M_aotb_ident3,
        	Table_M_aotb_ident4,
        	Table_M_aotb_ident5,
        	Table_M_aotb_ident6,
        	Table_M_aotb_ident7,
        	Table_M_aotb_ident8
	}
}

MENU Table_aotb_tbblock
{
	LABEL		[beka_block_characteristics];
	ITEMS
	{
		aotb_BLK_RESERVE,
		aotb_BLK_OBJECT,
		aotb_BLK_PARENT_CLASS,
		aotb_BLK_CLASS,
		aotb_BLK_DD_REFERENCE,
		aotb_BLK_DD_REV,
		aotb_BLK_PROFILE,
		aotb_BLK_PROFILE_REV,
		aotb_BLK_EXECUTION_TIME,
		aotb_BLK_NUM_PARAMETERS,
		aotb_BLK_INDEX_VIEW_1,
		aotb_BLK_NUM_VIEW_LISTS
	}
}

MENU Table_aotb_modeblock
{
	LABEL		[beka_mode_block];
	ITEMS
	{
		aotb_ACTUAL_MODE,
		aotb_PERMITTED_MODE,
		aotb_NORMAL_MODE,
	}
}


MENU Table_aotb_alarmblock
{
	LABEL		[beka_alarm_summary];
	ITEMS
	{
		aotb_CURRENT_STATE_ALARM_SUM,
		aotb_UNACKNOWLEDGED_STATE_ALARM_SUM,
		aotb_UNREPORTED_STATE_ALARM_SUM,
		aotb_DISABLED_STATE_ALARM_SUM
	}
}

MENU Table_aotb_final1
{
	LABEL		[beka_final1];
	ITEMS
	{
		aotb_in1_final_value,
		aotb_in1_final_value_status
	}
}

MENU Table_aotb_final2
{
	LABEL		[beka_final2];
	ITEMS
	{
		aotb_in2_final_value,
		aotb_in2_final_value_status
	}
}

MENU Table_aotb_final3
{
	LABEL		[beka_final3];
	ITEMS
	{
		aotb_in3_final_value,
		aotb_in3_final_value_status
	}
}

MENU Table_aotb_final4
{
	LABEL		[beka_final4];
	ITEMS
	{
		aotb_in4_final_value,
		aotb_in4_final_value_status
	}
}

MENU Table_aotb_final5
{
	LABEL		[beka_final5];
	ITEMS
	{
		aotb_in5_final_value,
		aotb_in5_final_value_status
	}
}

MENU Table_aotb_final6
{
	LABEL		[beka_final6];
	ITEMS
	{
		aotb_in6_final_value,
		aotb_in6_final_value_status
	}
}

MENU Table_aotb_final7
{
	LABEL		[beka_final7];
	ITEMS
	{
		aotb_in7_final_value,
		aotb_in7_final_value_status
	}
}

MENU Table_aotb_final8
{
	LABEL		[beka_final8];
	ITEMS
	{
		aotb_in8_final_value,
		aotb_in8_final_value_status
	}
}

MENU Table_S_aotb_ident1
{
	LABEL		[beka_ident1];
	ITEMS
	{
		aotb_in1_description,
		aotb_in1_unit
	}
}

MENU Table_S_aotb_ident2
{
	LABEL		[beka_ident2];
	ITEMS
	{
		aotb_in2_description,
		aotb_in2_unit
	}
}

MENU Table_S_aotb_ident3
{
	LABEL		[beka_ident3];
	ITEMS
	{
		aotb_in3_description,
		aotb_in3_unit
	}
}

MENU Table_S_aotb_ident4
{
	LABEL		[beka_ident4];
	ITEMS
	{
		aotb_in4_description,
		aotb_in4_unit
	}
}

MENU Table_S_aotb_ident5
{
	LABEL		[beka_ident5];
	ITEMS
	{
		aotb_in5_description,
		aotb_in5_unit
	}
}

MENU Table_S_aotb_ident6
{
	LABEL		[beka_ident6];
	ITEMS
	{
		aotb_in6_description,
		aotb_in6_unit
	}
}

MENU Table_S_aotb_ident7
{
	LABEL		[beka_ident7];
	ITEMS
	{
		aotb_in7_description,
		aotb_in7_unit
	}
}

MENU Table_S_aotb_ident8
{
	LABEL		[beka_ident8];
	ITEMS
	{
		aotb_in8_description,
		aotb_in8_unit
	}
}

MENU Table_M_aotb_ident1
{
	LABEL		[beka_ident1];
	ITEMS
	{
		aotb_in1_description	(READ_ONLY),
		aotb_in1_unit		(READ_ONLY)
	}
}

MENU Table_M_aotb_ident2
{
	LABEL		[beka_ident2];
	ITEMS
	{
		aotb_in2_description	(READ_ONLY),
		aotb_in2_unit		(READ_ONLY)
	}
}

MENU Table_M_aotb_ident3
{
	LABEL		[beka_ident3];
	ITEMS
	{
		aotb_in3_description	(READ_ONLY),
		aotb_in3_unit		(READ_ONLY)
	}
}

MENU Table_M_aotb_ident4
{
	LABEL		[beka_ident4];
	ITEMS
	{
		aotb_in4_description	(READ_ONLY),
		aotb_in4_unit		(READ_ONLY)
	}
}

MENU Table_M_aotb_ident5
{
	LABEL		[beka_ident5];
	ITEMS
	{
		aotb_in5_description	(READ_ONLY),
		aotb_in5_unit		(READ_ONLY)
	}
}

MENU Table_M_aotb_ident6
{
	LABEL		[beka_ident6];
	ITEMS
	{
		aotb_in6_description	(READ_ONLY),
		aotb_in6_unit		(READ_ONLY)
	}
}

MENU Table_M_aotb_ident7
{
	LABEL		[beka_ident7];
	ITEMS
	{
		aotb_in7_description	(READ_ONLY),
		aotb_in7_unit		(READ_ONLY)
	}
}

MENU Table_M_aotb_ident8
{
	LABEL		[beka_ident8];
	ITEMS
	{
		aotb_in8_description	(READ_ONLY),
		aotb_in8_unit		(READ_ONLY)
	}
}
